### Property

# Gtk IconPaintable:icon-name

since: 4.0

#### Declaration

    property icon-name: utf8 [ read, write, construct-only ]

#### Description [src]

The icon name that was chosen during lookup.

Type: | `gchar*`
Available since: | 4.0

Default value | NULL
Getter method | `gtk_icon_paintable_get_icon_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes